curl --request GET \
--url 'https://example.algolia.net/agent-studio/1/agents/lorem/conversations?startDate=lorem&endDate=lorem&includeFeedback=true&feedbackVote=0&page=1&limit=20&includeImpactAnalytics=true&clicked=true&converted=true&hasAlgoliaSearch=true' \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--header 'x-algolia-secure-user-token: lorem'// Initialize the client
var client = new AgentStudioClient(
new AgentStudioConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
);
// Call the API
var response = await client.ListAgentConversationsAsync("76710f1b-8231-42e5-b0d1-f43aac618e15");
// print the response
Console.WriteLine(response);// Initialize the client
final client = AgentStudioClient(
appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.listAgentConversations(
agentId: "76710f1b-8231-42e5-b0d1-f43aac618e15",
);
// print the response
print(response);// Initialize the client
client, err := agentStudio.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.ListAgentConversations(client.NewApiListAgentConversationsRequest(
"76710f1b-8231-42e5-b0d1-f43aac618e15"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
AgentStudioClient client = new AgentStudioClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
PaginatedConversationsResponse response = client.listAgentConversations("76710f1b-8231-42e5-b0d1-f43aac618e15");
// print the response
System.out.println(response);// Initialize the client
const client = agentStudioClient('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.listAgentConversations({ agentId: '76710f1b-8231-42e5-b0d1-f43aac618e15' });
// print the response
console.log(response);// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response = client.listAgentConversations(agentId = "76710f1b-8231-42e5-b0d1-f43aac618e15")
// print the response
println(response)// Initialize the client
$client = AgentStudioClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->listAgentConversations(
'76710f1b-8231-42e5-b0d1-f43aac618e15',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use AgentStudioClient instead, which exposes the exact same methods.
client = AgentStudioClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.list_agent_conversations(
agent_id="76710f1b-8231-42e5-b0d1-f43aac618e15",
)
# print the response
print(response)# Initialize the client
client = Algolia::AgentStudioClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.list_agent_conversations("76710f1b-8231-42e5-b0d1-f43aac618e15")
# print the response
puts(response)// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.listAgentConversations(
agentId = "76710f1b-8231-42e5-b0d1-f43aac618e15"
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try AgentStudioClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.listAgentConversations(agentId: "76710f1b-8231-42e5-b0d1-f43aac618e15")
// print the response
print(response){
"data": [
{
"agentId": "<string>",
"createdAt": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"conversationMetadata": {
"cachedAt": "<string>"
},
"feedback": [
{
"agentId": "<string>",
"createdAt": "<string>",
"id": "<string>",
"messageId": "<string>",
"tags": [
"<string>"
],
"updatedAt": "<string>",
"vote": 123,
"model": "<string>",
"notes": "<string>"
}
],
"impactAnalytics": {
"hasAlgoliaSearch": true,
"hasClick": true,
"hasConversion": true,
"hasView": true
},
"isFromDashboard": false,
"lastActivityAt": "<string>",
"messageCount": 0,
"title": "<string>",
"totalInputTokens": 0,
"totalOutputTokens": 0,
"totalTokens": 0,
"userToken": "<string>"
}
],
"pagination": {
"limit": 123,
"page": 123,
"totalCount": 123,
"totalPages": 123
},
"analyticsDegraded": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}List Conversations
Retrieves the conversations for the given agent ID.
curl --request GET \
--url 'https://example.algolia.net/agent-studio/1/agents/lorem/conversations?startDate=lorem&endDate=lorem&includeFeedback=true&feedbackVote=0&page=1&limit=20&includeImpactAnalytics=true&clicked=true&converted=true&hasAlgoliaSearch=true' \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--header 'x-algolia-secure-user-token: lorem'// Initialize the client
var client = new AgentStudioClient(
new AgentStudioConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
);
// Call the API
var response = await client.ListAgentConversationsAsync("76710f1b-8231-42e5-b0d1-f43aac618e15");
// print the response
Console.WriteLine(response);// Initialize the client
final client = AgentStudioClient(
appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.listAgentConversations(
agentId: "76710f1b-8231-42e5-b0d1-f43aac618e15",
);
// print the response
print(response);// Initialize the client
client, err := agentStudio.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.ListAgentConversations(client.NewApiListAgentConversationsRequest(
"76710f1b-8231-42e5-b0d1-f43aac618e15"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
AgentStudioClient client = new AgentStudioClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
PaginatedConversationsResponse response = client.listAgentConversations("76710f1b-8231-42e5-b0d1-f43aac618e15");
// print the response
System.out.println(response);// Initialize the client
const client = agentStudioClient('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.listAgentConversations({ agentId: '76710f1b-8231-42e5-b0d1-f43aac618e15' });
// print the response
console.log(response);// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response = client.listAgentConversations(agentId = "76710f1b-8231-42e5-b0d1-f43aac618e15")
// print the response
println(response)// Initialize the client
$client = AgentStudioClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->listAgentConversations(
'76710f1b-8231-42e5-b0d1-f43aac618e15',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use AgentStudioClient instead, which exposes the exact same methods.
client = AgentStudioClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.list_agent_conversations(
agent_id="76710f1b-8231-42e5-b0d1-f43aac618e15",
)
# print the response
print(response)# Initialize the client
client = Algolia::AgentStudioClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.list_agent_conversations("76710f1b-8231-42e5-b0d1-f43aac618e15")
# print the response
puts(response)// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.listAgentConversations(
agentId = "76710f1b-8231-42e5-b0d1-f43aac618e15"
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try AgentStudioClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.listAgentConversations(agentId: "76710f1b-8231-42e5-b0d1-f43aac618e15")
// print the response
print(response){
"data": [
{
"agentId": "<string>",
"createdAt": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"conversationMetadata": {
"cachedAt": "<string>"
},
"feedback": [
{
"agentId": "<string>",
"createdAt": "<string>",
"id": "<string>",
"messageId": "<string>",
"tags": [
"<string>"
],
"updatedAt": "<string>",
"vote": 123,
"model": "<string>",
"notes": "<string>"
}
],
"impactAnalytics": {
"hasAlgoliaSearch": true,
"hasClick": true,
"hasConversion": true,
"hasView": true
},
"isFromDashboard": false,
"lastActivityAt": "<string>",
"messageCount": 0,
"title": "<string>",
"totalInputTokens": 0,
"totalOutputTokens": 0,
"totalTokens": 0,
"userToken": "<string>"
}
],
"pagination": {
"limit": 123,
"page": 123,
"totalCount": 123,
"totalPages": 123
},
"analyticsDegraded": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}logsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Headers
The X-Algolia-Secure-User-Token.
Path Parameters
The agentId.
Query Parameters
Filter by conversations with at least one item click.
Filter by conversations with at least one conversion.
Filter conversations created before this date (format: YYYY-MM-DD).
Filter by feedback value (requires includeFeedback=true).
0 <= x <= 1Filter by conversations where the search tool was used.
Include feedback per conversation.
Include impact analytics (hasView, hasClick, hasConversion) per conversation.
Items per page.
1 <= x <= 100Page number.
x >= 1Filter conversations created after this date (format: YYYY-MM-DD).
Was this page helpful?